/*
 =======================================================================================
  Name        :DlgUpdOp.h
 
  Author      : Vincent Lhullier            Date :17/07/97
 
  Description : header file for dialog box for update options and update history
 =======================================================================================
  Modification -> Author :                  Date :
  Description :
 =======================================================================================
 */

/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/

#if !defined(AFX_DLGUPDOP_H__9FDB1F23_FE79_11D0_8EF7_00609736731A__INCLUDED_)
#define AFX_DLGUPDOP_H__9FDB1F23_FE79_11D0_8EF7_00609736731A__INCLUDED_

/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/

#include "DlgFile.h"

/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/

/*
 =======================================================================================
	CONSTANT 
 =======================================================================================
 */
#define C_CHOICE_cYes		0
#define C_CHOICE_cYesAll	1
#define C_CHOICE_cNo		2
#define C_CHOICE_cNoAll		3
/*
 =======================================================================================
	CUpdateOptionsDlg dialog
 =======================================================================================
 */
class CUpdateOptionsDlg : public CDialog
{
  // Construction
  public:
	CUpdateOptionsDlg(CWnd* pParent = NULL);   // standard constructor

  // Dialog Data
	//{{AFX_DATA(CUpdateOptionsDlg)
	enum { IDD = IDD_DIALOG_UPDATEOPTIONS };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


  // Implementation
  protected:

	// Generated message map functions
	//{{AFX_MSG(CUpdateOptionsDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnCheckObtainafterupdate();
	afx_msg void OnCheckForceupdate();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/*
 =======================================================================================
	CUpdateHistoryDlg dialog
 =======================================================================================
 */
class CUpdateHistoryDlg : public CDialog
{
  // Construction
  public:
	CUpdateHistoryDlg(CWnd* pParent = NULL);   // standard constructor

  // Dialog Data
	//{{AFX_DATA(CUpdateHistoryDlg)
	enum { IDD = IDD_DIALOG_UPDATEHISTORY };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA



  // Implementation
  protected:

	// Generated message map functions
	//{{AFX_MSG(CUpdateHistoryDlg)
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/*
 =======================================================================================
	CUpdateOptionsDlg dialog
 =======================================================================================
 */
class CUpdateFileListDlg : public CDialog
{
  // data members
  private:
	  CDialogFileList		*m_p_oFileDlg;
	  tdstFileListConfig	*m_p_stConfig;
  // Construction
  public:
	CUpdateFileListDlg(CWnd* pParent = NULL);   // standard constructor
	void m_fn_vSetFileDialog( CDialogFileList *_p_oFileDlg ) { m_p_oFileDlg = _p_oFileDlg; }
	void m_fn_vRefreshFileList( void );

  // Dialog Data
	//{{AFX_DATA(CUpdateFileListDlg)
	enum { IDD = IDD_DIALOG_UPDATEFILELIST };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


  // Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUpdateFileListDlg)
	//}}AFX_VIRTUAL

  // Implementation
  protected:

	// Generated message map functions
	//{{AFX_MSG(CUpdateFileListDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonNewconfig();
	afx_msg void OnDestroy();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnSizing(UINT nSide, LPRECT lpRect);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/*
 =======================================================================================
	CYesNoAllDlg dialog
 =======================================================================================
 */
class CYesNoAllDlg : public CDialog
{
  // Construction
  public:
	CString		cstrMessage;
	CString		cstrTitle;
	char		cChoice;
	CSize		m_oDialogSize;
	CFont		m_oFont;
	PLOGFONT	m_p_stFont;


	CYesNoAllDlg(CWnd* pParent = NULL);   // standard constructor
	~CYesNoAllDlg();

	void fn_vSetTitle( char *_szTitle );
	void fn_vSetMessage( char *_szMessage );
	char fn_cGetChoice( void ) {return cChoice; }
	void fn_vComputeDialogSize( void );

  // Dialog Data
	//{{AFX_DATA(CYesNoAllDlg)
	enum { IDD = IDD_DIALOG_YESALLNOALL };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


  // Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CYesNoAllDlg)
	//}}AFX_VIRTUAL

  // Implementation
  protected:

	// Generated message map functions
	//{{AFX_MSG(CYesNoAllDlg)
	afx_msg void OnButtonNoall();
	afx_msg void OnButtonYesall();
	virtual void OnCancel();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGUPDOP_H__9FDB1F23_FE79_11D0_8EF7_00609736731A__INCLUDED_)

/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
